Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class NodeTable

    java.lang.Object
      com.bbn.openmap.layer.vpf.DcwRecordFile
          com.bbn.openmap.layer.vpf.PrimitiveTable
              com.bbn.openmap.layer.vpf.NodeTable

public class NodeTable
extends PrimitiveTable

Read VPF format node tables to generate point graphics for OpenMap.

Field Summary

Fields inherited from class com.bbn.openmap.layer.vpf.PrimitiveTable
`covtable, idColumn, tile`

Fields inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile
`byteorder, columnInfo, documentationFileName, filename, ID_COLUMN_NAME, inputFile, MSBFirst, recordLength, tableDescription, tablename, vli`

Constructor Summary
`NodeTable(CoverageTable cov, TileDirectory tile, boolean isEntityNode)` Construct a NodeTable for reading VPF text features.

Method Summary
`void` | `drawFeature(VPFFeatureWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2, java.util.List node, java.lang.String featureType)` Use the warehouse to create a graphic from a feature in a NodeTable.
`void` | `drawTile(VPFGraphicWarehouse warehouse, float dpplat, float dpplon, LatLonPoint ll1, LatLonPoint ll2)` Parse the node records for this tile, calling warehouse.createNode once for each record in the selection region.
`int` | `getContainingFaceColumn()` Returns the column that contains containing_face.
`int` | `getFirstEdgeColumn()` Returns the column that contains first_edge.

Methods inherited from class com.bbn.openmap.layer.vpf.PrimitiveTable
`getCoverageTable, getID, getTileDirectory`

Methods inherited from class com.bbn.openmap.layer.vpf.DcwRecordFile
`close, finalize, finishInitialization, getColumnCount, getColumnInfo, getColumnName, getDescription, getDocumentationFilename, getRecordCount, getRecordLength, getRow, getRow, getTableFile, getTableName, getTilingAdapter, getTilingAdapter, getTilingAdapter, lookupSchema, lookupSchema, main, parseAllRowsAndPrintSome, parseRow, parseRow, parseSomeRowsAndPrint, printSchema, reopen, seekToRow, whatColumn`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeTable

    public NodeTable(CoverageTable cov,
                     TileDirectory tile,
                     boolean isEntityNode)
              throws FormatException

  Construct a NodeTable for reading VPF text features.

Parameters:
  `cov` - the CoverageTable for the tile
  `tile` - the tile to parse
  `isEntityNode` - if true, parse end file; false, parse cnd file
Throws:
  `FormatException` - if something goes wrong reading the text

Method Detail

### getFirstEdgeColumn

    public int getFirstEdgeColumn()

  Returns the column that contains first_edge. May return -1 indicating the column doesn't exist.

### getContainingFaceColumn

    public int getContainingFaceColumn()

  Returns the column that contains containing_face. May return -1 indicating the column doesn't exist.

### drawTile

    public void drawTile(VPFGraphicWarehouse warehouse,
                         float dpplat,
                         float dpplon,
                         LatLonPoint ll1,
                         LatLonPoint ll2)

  Parse the node records for this tile, calling warehouse.createNode once for each record in the selection region.

  Specified by:
    `drawTile` in class `PrimitiveTable`
  Parameters:
    `warehouse` - the warehouse used for createNode calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinning (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
  See Also:
    `VPFGraphicWarehouse.createNode(com.bbn.openmap.layer.vpf.CoverageTable, com.bbn.openmap.layer.vpf.NodeTable, java.util.List, float, float, boolean)`

### drawFeature

    public void drawFeature(VPFFeatureWarehouse warehouse,
                            float dpplat,
                            float dpplon,
                            LatLonPoint ll1,
                            LatLonPoint ll2,
                            java.util.List node,
                            java.lang.String featureType)

  Use the warehouse to create a graphic from a feature in a NodeTable.

  Specified by:
    `drawFeature` in class `PrimitiveTable`
  Parameters:
    `warehouse` - the warehouse used for createNode calls (must not be null)
    `dpplat` - threshold for latitude thinning (passed to warehouse)
    `dpplon` - threshold for longitude thinngin (passed to warehouse)
    `ll1` - upperleft of selection region (passed to warehouse)
    `ll2` - lowerright of selection region (passed to warehouse)
    `node` - a list with the NodeTable row contents.
    `featureType` - the string representing the feature type, in case the warehouse wants to do some intelligent rendering.
  See Also:
    `VPFGraphicWarehouse.createNode(com.bbn.openmap.layer.vpf.CoverageTable, com.bbn.openmap.layer.vpf.NodeTable, java.util.List, float, float, boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details